Bug 120116 - [Update] net/netdude - Version update and change of maintainership
Summary: [Update] net/netdude - Version update and change of maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-29 14:00 UTC by Brenton Chang
Modified: 2008-02-04 21:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.24 KB, patch)
2008-01-29 14:00 UTC, Brenton Chang
no flags Details | Diff
file.diff (3.60 KB, patch)
2008-01-29 14:00 UTC, Brenton Chang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brenton Chang 2008-01-29 14:00:05 UTC
* Updated netdude version to 0.4.8a 
* Updated dependencies 
	- libnetdude 0.10a
	- libpcapnav 0.8

I've previously spoken with the current maintainer whom i've CC'ed, and
he has agreed to me to take over maintainership of this port.

Fix: --- NETDUDE DIFF START ---

---- NETDUDE DIFF END ----

---- LIBNETDUDE DIFF START ----

---- LIBNETDUDE DIFF END ----

---- LIBPCAPNAV DIFF START ----



---- LIBPCAPNAV DIFF END ------TVlPlJjf4hTa8fHeSmvZxoIct3mUdNqat8fj3p9KTZ6HPH9G
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/netdude/Makefile,v
retrieving revision 1.28
diff -u -u -r1.28 Makefile
--- Makefile	19 May 2007 20:18:44 -0000	1.28
+++ Makefile	28 Jan 2008 20:22:47 -0000
@@ -7,18 +7,17 @@
 #
 
 PORTNAME=	netdude
-PORTVERSION=	0.4.7
-PORTREVISION=	1
+PORTVERSION=	0.4.8a
 CATEGORIES=	net
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
 
-MAINTAINER=	wxs@atarininja.org
+MAINTAINER=	brenton.chang@gmail.com
 COMMENT=	NETwork DUmp data Displayer and Editor for tcpdump tracefiles
 
 LIB_DEPENDS=	netdude.0:${PORTSDIR}/net/libnetdude
 
-USE_AUTOTOOLS=	libltdl:15
+USE_AUTOTOOLS=	libltdl:15 libtool:15
 USE_ICONV=	yes
 USE_GETTEXT=	yes
 GNU_CONFIGURE=	yes
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/netdude/distinfo,v
retrieving revision 1.7
diff -u -u -r1.7 distinfo
--- distinfo	7 Jan 2007 21:42:54 -0000	1.7
+++ distinfo	28 Jan 2008 20:22:47 -0000
@@ -1,3 +1,3 @@
-MD5 (netdude-0.4.7.tar.gz) = d0cfe2dd6af254f228fa22a0ddb9dcb6
-SHA256 (netdude-0.4.7.tar.gz) = 761389be2fe909c43473ea09af4d10fb4d261273f6838e20dcd04a78796a07dc
-SIZE (netdude-0.4.7.tar.gz) = 1434733
+MD5 (netdude-0.4.8a.tar.gz) = 01519d1886fb17488d365a9f1790675b
+SHA256 (netdude-0.4.8a.tar.gz) = eb1793b1c694d4e28852c65b44cb2eae74a702d2c04f6ba59ea3c4037db4ec3d
+SIZE (netdude-0.4.8a.tar.gz) = 1416381
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/net/netdude/pkg-plist,v
retrieving revision 1.5
diff -u -u -r1.5 pkg-plist
--- pkg-plist	7 Jan 2007 21:42:54 -0000	1.5
+++ pkg-plist	28 Jan 2008 20:22:47 -0000
@@ -46,14 +46,23 @@
 %%PORTDOCS%%%%DOCSDIR%%/images/preferences.gif
 %%PORTDOCS%%%%DOCSDIR%%/images/warning.gif
 %%PORTDOCS%%%%DOCSDIR%%/images/trace_areas.png
-%%PORTDOCS%%%%DOCSDIR%%/a6575.html
 %%PORTDOCS%%%%DOCSDIR%%/api.html
-%%PORTDOCS%%%%DOCSDIR%%/b6587.html
-%%PORTDOCS%%%%DOCSDIR%%/c105.html
-%%PORTDOCS%%%%DOCSDIR%%/c20.html
-%%PORTDOCS%%%%DOCSDIR%%/c455.html
-%%PORTDOCS%%%%DOCSDIR%%/c71.html
 %%PORTDOCS%%%%DOCSDIR%%/index.html
+%%PORTDOCS%%%%DOCSDIR%%/a6548.html
+%%PORTDOCS%%%%DOCSDIR%%/a6566.html
+%%PORTDOCS%%%%DOCSDIR%%/a6568.html
+%%PORTDOCS%%%%DOCSDIR%%/a6572.html
+%%PORTDOCS%%%%DOCSDIR%%/b6560.html
+%%PORTDOCS%%%%DOCSDIR%%/b6578.html
+%%PORTDOCS%%%%DOCSDIR%%/b6580.html
+%%PORTDOCS%%%%DOCSDIR%%/b6584.html
+%%PORTDOCS%%%%DOCSDIR%%/c106.html
+%%PORTDOCS%%%%DOCSDIR%%/c21.html
+%%PORTDOCS%%%%DOCSDIR%%/c456.html
+%%PORTDOCS%%%%DOCSDIR%%/c474.html
+%%PORTDOCS%%%%DOCSDIR%%/c476.html
+%%PORTDOCS%%%%DOCSDIR%%/c480.html
+%%PORTDOCS%%%%DOCSDIR%%/c72.html
 %%PORTDOCS%%%%DOCSDIR%%/netdude-gtkhex.html
 %%PORTDOCS%%%%DOCSDIR%%/netdude-nd-clipboard.html
 %%PORTDOCS%%%%DOCSDIR%%/netdude-nd-debug.html
@@ -104,6 +113,9 @@
 %%DATADIR%%/0.4/protocols/nd_ip.so
 %%DATADIR%%/0.4/protocols/nd_ip.la
 %%DATADIR%%/0.4/protocols/nd_ip.a
+%%DATADIR%%/0.4/protocols/nd_pcap.a
+%%DATADIR%%/0.4/protocols/nd_pcap.la
+%%DATADIR%%/0.4/protocols/nd_pcap.so
 %%DATADIR%%/0.4/protocols/nd_sll.so
 %%DATADIR%%/0.4/protocols/nd_sll.la
 %%DATADIR%%/0.4/protocols/nd_sll.a
Comment 1 Wesley Shields freebsd_committer 2008-01-29 15:36:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 Edwin Groothuis freebsd_committer 2008-01-29 20:43:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2008-02-04 21:42:55 UTC
wxs         2008-02-04 21:42:51 UTC

  FreeBSD ports repository

  Modified files:
    net/netdude          Makefile distinfo pkg-plist 
    net/libnetdude       Makefile distinfo pkg-plist 
    net/libpcapnav       Makefile distinfo pkg-plist 
  Added files:
    net/libnetdude/files patch-plugins__ChecksumFix__Makefile.in 
  Log:
  Update netdude to 0.4.8a.
  Update libnetdude to 0.10a.
  Update libpcapnav to 0.8.
  
  Pass maintainership to submitter.
  
  PR:             ports/120116
  Submitted by:   Brenton Chang <brenton.chang@gmail.com>
  Approved by:    maintainer (implicit), garga (mentor)
  
  Revision  Changes    Path
  1.15      +3 -2      ports/net/libnetdude/Makefile
  1.5       +3 -3      ports/net/libnetdude/distinfo
  1.1       +22 -0     ports/net/libnetdude/files/patch-plugins__ChecksumFix__Makefile.in (new)
  1.4       +6 -6      ports/net/libnetdude/pkg-plist
  1.9       +3 -4      ports/net/libpcapnav/Makefile
  1.4       +3 -3      ports/net/libpcapnav/distinfo
  1.3       +3 -37     ports/net/libpcapnav/pkg-plist
  1.29      +3 -4      ports/net/netdude/Makefile
  1.8       +3 -3      ports/net/netdude/distinfo
  1.6       +18 -6     ports/net/netdude/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wesley Shields freebsd_committer 2008-02-04 21:44:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!